<bugID>605409<Summary>Document load progress no longer accessible</Summary><Description>Previously, Firefox used a progress bar to indicate the progress of loading a document and the status bar to indicate the stage of loading (connecting, loading, etc.). Both of these are now gone, replaced with a progress indicator icon for each tab, which indicates both loading activity and the stage of loading. As far as I can tell, this new indicator is not exposed via accessibility APIs, making document load progress inaccessible to screen reader users. (I believe there is an add-on to bring back the status bar, but I don't consider this to be acceptable accessibility. A feature should be accessible as is.)

The way this new indicator is exposed needs careful consideration for an optimal user experience. Following are some of the issues:
* It is relatively simple for a screen reader to indicate activity with a progress bar, as the percentage changes as activity continues. However, as I understand it, the new indicator indicates that there is activity, but the amount complete is indeterminate. It'd be good to find an optimal way to indicate this to screen reader users. Perhaps an event needs to be fired on the indicator accessible every so often indicating that activity is still occurring. However, what role should we use for such an indeterminate indicator? Perhaps we could use a role of progress bar but have a value which indicates indeterminate progress.
* Visually, the stage of loading is indicated by changes in the icon, not using text. This needs to be exposed in a textual manner; e.g. "connecting", "loading", etc. I think this could be exposed as the name of the indicator accessible.
* Instead of there only being one indicator for the active tab, there is now one indicator for each tab. This means that multiple indicators may be visible at any given time. I don't think it is optimal for screen reader users to have indicators for other tabs reported (even though they should still be exposed), so the indicator should somehow expose that it is for the active tab. Perhaps we could use the selected state.
  - How do sighted users quickly determine which indicator to look at for the active tab?
* Current screen readers aren't going to know to report this indicator. Should the indicator for the active tab perhaps be a live region?
  - This is fairly ugly, though, and doesn't allow for other possibilities like non-speech sounds to indicate activity. Perhaps screen readers are just going to have to handle this new type of indicator.</Description></bugID>